include ../../makefile.dep

LIBDIR= ../../lib/$(HOST)
BINDIR= ../../bin/$(HOST)

INCLUDES      = -I../include  -I../../include

TARGETS =	loadping scanping

all:	$(TARGETS)

LIBS1	      =  \
		$(LIBDIR)/use_adcp$(LIB) \
		$(LIBDIR)/vstat$(LIB) \
      $(LIBDIR)/use_db$(LIB) \
		$(LIBDIR)/dbsource$(LIB) \
		$(LIBDIR)/ioserv$(LIB)


loadping   : $(BINDIR)/loadping$(EXE)
loadpingOBJECTS = loadping$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/loadping$(EXE): $(loadpingOBJECTS)
	$(CCLINK) -o $@ $(loadpingOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@

scanping   : $(BINDIR)/scanping$(EXE)
scanpingOBJECTS = scanping$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/scanping$(EXE): $(scanpingOBJECTS)
	$(CCLINK) -o $@ $(scanpingOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@


clean:
	$(RM) $(DIRT)
#
